Subject: bug#33524: 27.0.50; Suspicious code in flymake-proc around temporary directories

From: Michael Albinus <[email-masked]>
Date: Mon, 17 Dec 2018 22:08:46 +0100

Philipp Stephani <[email-masked]> writes:

Hi Philipp,

> 1. Would it make sense to backport this patch onto the release branch?
> The bug is annoying, and the fix seems trivial.

That's for Eli to decide. Yes, the patch is trivial, so it seems
harmless to backport.

> 2. There's more suspicious code in the legacy backend that assumes
> that magic or quoted filenames don't exist, is there a long-term plan
> to tackle this? ("Deleting the legacy backend" might be a viable
> long-term plan.)

I'm not in the flymake business. I will help if questions arise, but I'm
not in the position to review flymake completely.

Best regards, Michael.